.. _config_ref:

Configuration File Reference
============================

Pestifer uses YAML-format configuration input for executing a build.  These pages document all YAML attributes 
that can be included in a config file.  You can also use the ``pestifer config-help`` subcommand to step through
this documentation on interactively on the command line.

Each item below is a top-level attribute in a pestifer configuration file.


Single-valued attribute:

  * ``title``: Meaningful title (default: Pestifer)



Subattributes:

.. toctree::
   :maxdepth: 1

   config_ref/charmmff
   config_ref/psfgen
   config_ref/namd
   config_ref/paths
   config_ref/tasks


.. raw:: html

   <div class="autogen-footer">
     <p>This page was generated by ycleptic v2.0.3 on 2026-03-04.</p>
   </div>